FIG2EPIC(1)

NAME
fig2epic - translates Fig intermediate code into EPIC or EEPIC macros

SYNOPSIS
fig2epic [ -S scale ] [ -s size ] [ -m mag ] [ -F fspec ] [ -L lang ] [ -l lwidth ] [ -c cfg-file ] [ -v ] [ fig-file [ tex-file ] ]

DESCRIPTION
Fig2epic translates fig objects in the named fig-file into EPIC or EEPIC macros and puts them in tex-file. If a file name is presented, it is assumed to be the input file (fig output file). The output file (tex-file), if not presented, will be the stdout. If the fig-file is not presented, input will be assumed to come from the stdin. The output from fig2epic can be edited to change font sizes/types.

Fig (Facility for Interactive Generation of figures) is a screen-oriented tool which allows the user to draw and manipulate objects interactively. It runs under the Suntools/Sunview window environment. Fig2epic is compatible with Fig versions 1.3 and 1.4.

EPIC is an enhancement to LaTeX picture drawing environment. It was developed by Sunil Podar of Department of Computer Science in S.U.N.Y at Stony Brook.

EEPIC is an extension to EPIC and LaTeX picture drawing environment. It was written by Conrad Kwok of Division of Computer Science at University of California, Davis.

OPTIONS

-S  Set the scale at which the figure is rendered to. This option automatically set the magnification and default font to scale / 12 and scale -tt respectively. The font can be changed using -F option. The default is 12 and other valid options are 8, 9, 10 and 11.

-s  Change the default font size to size

-m  Set the magnification at which the figure is rendered to mag. The default is 1.0 unless -s option is used.

-c  Use cfg-file as the configuration file.

-F  Set the font specification command which precedes every text object in the picture to fspec. This option, if specified, overrides any font changing commands. The default is none. Note that no "\" is required in the font name.

-l  Use "\thicklines" when width of the line is wider than lwidth. The default is 2.

-L  Use the specified language lang in the output. Default is EEPIC. Other valid options are EPIC and EEPIC-EMU. EEPIC-EMU is for use with EEPIC emulation package.

-v  Include comment in the output file.

LATEX MACROS
In order to include EPIC or EEPIC pictures into a document, it is necssary to load the EPIC and EEPIC macros. It can be done by including EPIC and EEPIC in \documentstyle option. See the EPIC or EEPIC manaul for details.

Configuration File
All the defaults in fig2epic can be changed using configuration file. When fig2pic is executed, it will look for the files specified in -c option if any, fig-file.cfg (if fig-file is ended with ".fig", it will be replaced by ".cfg"), fig2epic.cfg and $HOME/.fig2epic in the order specified above. The first configuration file found will be used.

LowerLeftX
    This specify X coordinate of the lower left hand corner of the Fig picture. Default is 0.

LowerLeftY
    This specify Y coordinate of the lower left hand corner in unitlength of the Fig picture. Default is 0.

TopMargin
    Set the distance in unitlength of the figure from the top of the LaTeX picture box. Default is 5.

BottomMargin
    Set the distance in unitlength of the figure from the bottom of the LaTeX picture box. Default is 10.

SegmentLength
    The maximum segment length in inch used in generating splines (for EPIC) and arc (for EPIC and EEPIC-EMU). Default is 0.0625 inch.

TextFont
    Set the font used for all text. This option overrides FontType and FontSize. However, it is overrided by -s, -S and -F options. Note that no "\" is required in the font name.

Magnification
    Same as -m option. Default is 1.0.

Verbose
    Same as -v. Default is FALSE

DotDistance
    Dot distance in unitlength for dotted lines.

LineThick
    Same as -l. Default is 2.

Language
    Same is -L. Default is EEPIC

DashScale
    Scale the dash length. Default is 1.0.

EllipseCommand
    Specify the command used in drawing an ellipse. Default is ellipse for EEPIC or EEPIC-EMU. oval is always used for EPIC. Possible values are ellipse and oval.

UseBox
    Specify whether fig2epic should generate \framebox and/or \dashbox command in the output file or not. Default is not to use the *box command. Possible options are none, solid, dash and both.

DashType
    This option is only used when EPIC option is selected. Valid options are "Normal" (use dashline in drawing dash lines), "Economic" (use drawline with -50 stretch in drawing dash lines) and "Dotted" (use dotted lines to replace dash lines). Default is "Normal". "Normal" option will use up TeX memory quickly if long dash lines are drawn. If you get "TeX Capacity Exceed" error, you should try the "Economic" or "Dotted" option.

FontType
    Selects one of the following font types as the default--Roman, Bold, Italics, Modern and Typewriter. Default is Typewriter.

FontSize
    Selects default font size in points. Default is 12.

SEE ALSO
fig(1), EPIC manual, EEPIC manual and TransFig manual

AUTHOR
Conrad Kwok (kwok@iris.ucdavis.edu)
University of California, Davis
August 14, 1988

modified from fig2latex, fig2tex and f2p.